package com.kingdee.eas.custom.beisenconfig;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractBSViewConfigEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractBSViewConfigEntryInfo()
    {
        this("id");
    }
    protected AbstractBSViewConfigEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's 单据头 property 
     */
    public com.kingdee.eas.custom.beisenconfig.BSViewConfigInfo getParent()
    {
        return (com.kingdee.eas.custom.beisenconfig.BSViewConfigInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.beisenconfig.BSViewConfigInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 分录 's 视图 property 
     */
    public com.kingdee.shr.base.syssetting.UIViewInfo getView()
    {
        return (com.kingdee.shr.base.syssetting.UIViewInfo)get("view");
    }
    public void setView(com.kingdee.shr.base.syssetting.UIViewInfo item)
    {
        put("view", item);
    }
    /**
     * Object:分录's 是否创建数据property 
     */
    public boolean isIsCreateData()
    {
        return getBoolean("isCreateData");
    }
    public void setIsCreateData(boolean item)
    {
        setBoolean("isCreateData", item);
    }
    /**
     * Object:分录's 扩展字段名property 
     */
    public String getFileldsEx()
    {
        return getString("fileldsEx");
    }
    public void setFileldsEx(String item)
    {
        setString("fileldsEx", item);
    }
    /**
     * Object:分录's 文件property 
     */
    public String getFile()
    {
        return getString("file");
    }
    public void setFile(String item)
    {
        setString("file", item);
    }
    /**
     * Object:分录's 北森数据property 
     */
    public String getBeiSenData()
    {
        return getString("beiSenData");
    }
    public void setBeiSenData(String item)
    {
        setString("beiSenData", item);
    }
    /**
     * Object:分录's 主体property 
     */
    public com.kingdee.eas.custom.enumerations.ViewTypeEnum getBoy()
    {
        return com.kingdee.eas.custom.enumerations.ViewTypeEnum.getEnum(getString("boy"));
    }
    public void setBoy(com.kingdee.eas.custom.enumerations.ViewTypeEnum item)
    {
		if (item != null) {
        setString("boy", item.getValue());
		}
    }
    /**
     * Object:分录's 头部视图property 
     */
    public String getHeadDataEntry()
    {
        return getString("headDataEntry");
    }
    public void setHeadDataEntry(String item)
    {
        setString("headDataEntry", item);
    }
    /**
     * Object:分录's 头部查询条件property 
     */
    public String getHeadWhere()
    {
        return getString("headWhere");
    }
    public void setHeadWhere(String item)
    {
        setString("headWhere", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("6005D0AF");
    }
}